Bug 487806 - provide better distinction for clustering via openais and clustering via cman/openais
provide better distinction for clustering via openais and clustering via cman...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.1
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Alison Young
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 17:47 EST by Subhendu Ghosh
Modified: 2016-10-04 00:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-16 01:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2009-02-27 17:47:40 EST
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.1/html/Messaging_User_Guide/chap-Messaging_User_Guide-Clustering_and_federation.html

This section defines 2 different methods of clustering qpid without sufficient delineation between the two.

Case 1:
qpid + openais configured via openais.conf

Features: active/active broker clusters
          support for redundant ring protocol
          does not support split-brain

Case 2:
qpid + cman configured openais via cluster.conf

Features: HW nodes are clustered using ClusterSuite (from RHEL AP)
          qpid --cluster-cman option required
          openais.conf is not needed (??)
          cluster split-brian is supported
Comment 1 Jonathan Robie 2009-09-23 10:50:11 EDT
Fixed in the 1.2 clustering docs. 

I have not yet verified whether openais.conf is optional when using cman. Email out on that question.
Comment 3 Steven Dake 2010-03-03 03:30:22 EST
openais.conf is not used when aisexec is started via cman.
Comment 5 Alison Young 2011-03-16 01:24:06 EDT
(In reply to comment #1)
> Fixed in the 1.2 clustering docs. 
> 
> I have not yet verified whether openais.conf is optional when using cman. Email
> out on that question.

Closed as fix already implemented

Note You need to log in before you can comment on or make changes to this bug.